Package com.documentum.fc.client

# Interface IDfWorkflowAttachment

All Superinterfaces:
  `IDfPersistentObject`, `IDfTypedObject`

public interface IDfWorkflowAttachment extends IDfPersistentObject
Interface definition for the type DmiWFAttachment.

Description: This object cannot be saved.

- ## Field Summary

  ### Fields inherited from interface com.documentum.fc.client.IDfPersistentObject

  `CURRENCY_CHECK_ALWAYS, CURRENCY_CHECK_FIRST_ACCESS, CURRENCY_CHECK_NEVER, CURRENCY_CHECK_ONCE_PER_SCOPE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `IDfId`
  `getComponentId()`
  Gets the component ID of the bound object.
  `String`
  `getComponentName()`
  Returns the component name, which is typically the object name of the object identified in r_component_id.
  `String`
  `getComponentType()`
  Gets the component type, which is the type name of the bound component.
  `IDfTime`
  `getCreationDate()`
  Returns the r_creation_date attribute of the object.
  `String`
  `getCreatorName()`
  Returns the name of the creator.
  `IDfId`
  `getWorkflowId()`
  Gets the workflow ID.

  ### Methods inherited from interface com.documentum.fc.client.IDfPersistentObject

  `addChildRelative, addParentRelative, apiExec, apiGet, apiSet, destroy, fetch, fetchWithCaching, getAttrAssistance, getAttrAssistanceWithValues, getAttrAsstDependencies, getChildRelatives, getParentRelatives, getPartition, getType, getValidator, getVStamp, getWidgetType, isDeleted, isDirty, isInstanceOf, isNew, isReplica, lock, lockEx, registerEvent, removeChildRelative, removeParentRelative, revert, save, setPartition, signoff, unRegisterEvent, unRegisterEventEx, validateAllRules, validateAttrRules, validateAttrRulesWithValue, validateAttrRulesWithValues, validateObjRules, validateObjRulesWithValues`

  ### Methods inherited from interface com.documentum.fc.client.IDfTypedObject

  `appendBoolean, appendDouble, appendId, appendInt, appendString, appendTime, appendValue, dump, enumAttrs, findAttrIndex, findBoolean, findDouble, findId, findInt, findString, findTime, findValue, getAllRepeatingStrings, getAttr, getAttrCount, getAttrDataType, getBoolean, getDouble, getId, getInt, getLong, getObjectId, getObjectSession, getOriginalSession, getRepeatingBoolean, getRepeatingDouble, getRepeatingId, getRepeatingInt, getRepeatingLong, getRepeatingString, getRepeatingTime, getRepeatingValue, getSession, getSessionManager, getString, getTime, getValue, getValueAt, getValueCount, hasAttr, insertBoolean, insertDouble, insertId, insertInt, insertString, insertTime, insertValue, isAttrRepeating, isNull, remove, removeAll, setBoolean, setDouble, setId, setInt, setNull, setRepeatingBoolean, setRepeatingDouble, setRepeatingId, setRepeatingInt, setRepeatingString, setRepeatingTime, setRepeatingValue, setSessionManager, setString, setTime, setValue, truncate`

- ## Method Details

  - ### getWorkflowId

    IDfId getWorkflowId() throws DfException
    Gets the workflow ID.
    Returns:
      the workflow ID of the object managing this attachment
    Throws:
      `DfException` - if a server error occurs

  - ### getComponentId

    IDfId getComponentId() throws DfException
    Gets the component ID of the bound object.
    Returns:
      an IDfId interface containing the bound object
    Throws:
      `DfException` - if a server error occurs

  - ### getComponentName

    String getComponentName() throws DfException
    Returns the component name, which is typically the object name of the object identified in r_component_id.
    Returns:
      the component name
    Throws:
      `DfException`

  - ### getComponentType

    String getComponentType() throws DfException
    Gets the component type, which is the type name of the bound component.
    Returns:
      the object type of the bound components
    Throws:
      `DfException` - if a server error occurs

  - ### getCreatorName

    String getCreatorName() throws DfException
    Returns the name of the creator. This method returns the value of the r_creator_name attribute of the object.
    Returns:
      the name of the creator
    Throws:
      `DfException` - if a server error occurs

  - ### getCreationDate

    IDfTime getCreationDate() throws DfException
    Returns the r_creation_date attribute of the object.
    Returns:
      the date this object is created
    Throws:
      `DfException` - if a server error occurs